cvp.vo

## Class PrescrizioneSpecialistica

- java.lang.Object
- - cvp.vo.PrescrizioneSpecialistica

-     public class PrescrizioneSpecialistica
      extends java.lang.Object

  Contiene tutti i dati relativi alla prescrizione specialistica

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `annotazione` Annotazione sulla prescrizione, elemento facoltativo.
    `private Assistito` | `assistito` Contiene i dati anagrafici dell'assistito a cui è intestata la prescrizione specialistica, elemento obbligatorio.
    `private java.lang.String` | `codRicetta` Codice ricetta stampato dal poligrafico dello stato sulla ricetta stessa, elemento facoltativo.
    `private java.lang.String` | `dataEmissione` Data di emissione della prescrizione, elemento obbligatorio.
    `private java.lang.String` | `dataScadenza` Data di scadenza della prescrizione, elemento obbligatorio.
    `private DatiSpec` | `datiSpec` Contiene i dati di dettaglio della pescrizione specialistica, elemento obbligatorio.
    `private java.lang.String` | `flagSuggerita` Indica se la prescrizione è stata suggerita da uno specialista, elemento obbligatorio.
    `private java.lang.String` | `impPrescrizione` Importo totale lordo della prescrizione, elemento obbligatorio.
    `private java.lang.String` | `IUP` Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE), elemento obbligatorio.
    `private java.lang.String` | `naturaPrescrizione` Codice natura della prescrizione, elemento facoltativo.
    `private Prenotazione` | `prenotazione` Contiene i dati di dettaglio della prenotazione, elemento facoltativo.
    `private Prescrittore` | `prescrittore` Contiene i dati anagrafici del medico prescrittore, elemento obbligatorio.
    `private java.lang.String` | `statoPrescrizione` Indica lo stato in cui si trova una prescrizione, elemento obbligatorio.
    `private java.lang.String` | `ticketPrescrizione` Importo totale del Ticket da pagare, elemento obbligatorio.
    `private java.lang.String` | `tipoPrescrizione` Codice indicante la tipologia della prescrizione, elemento obbligatorio.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrescrizioneSpecialistica()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnotazione()`
    `Assistito` | `getAssistito()`
    `java.lang.String` | `getCodRicetta()`
    `java.lang.String` | `getDataEmissione()`
    `java.lang.String` | `getDataScadenza()`
    `DatiSpec` | `getDatiSpec()`
    `java.lang.String` | `getFlagSuggerita()`
    `java.lang.String` | `getImpPrescrizione()`
    `java.lang.String` | `getIUP()`
    `java.lang.String` | `getNaturaPrescrizione()`
    `Prenotazione` | `getPrenotazione()`
    `Prescrittore` | `getPrescrittore()`
    `java.lang.String` | `getStatoPrescrizione()`
    `java.lang.String` | `getTicketPrescrizione()`
    `java.lang.String` | `getTipoPrescrizione()`
    `void` | `setAnnotazione(java.lang.String annotazione)`
    `void` | `setAssistito(Assistito assistito)`
    `void` | `setCodRicetta(java.lang.String codRicetta)`
    `void` | `setDataEmissione(java.lang.String dataEmissione)`
    `void` | `setDataScadenza(java.lang.String dataScadenza)`
    `void` | `setDatiSpec(DatiSpec datiSpec)`
    `void` | `setFlagSuggerita(java.lang.String flagSuggerita)`
    `void` | `setImpPrescrizione(java.lang.String impPrescrizione)`
    `void` | `setIUP(java.lang.String IUP)`
    `void` | `setNaturaPrescrizione(java.lang.String naturaPrescrizione)`
    `void` | `setPrenotazione(Prenotazione prenotazione)`
    `void` | `setPrescrittore(Prescrittore prescrittore)`
    `void` | `setStatoPrescrizione(java.lang.String statoPrescrizione)`
    `void` | `setTicketPrescrizione(java.lang.String ticketPrescrizione)`
    `void` | `setTipoPrescrizione(java.lang.String tipoPrescrizione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codRicetta

          private java.lang.String codRicetta

      Codice ricetta stampato dal poligrafico dello stato sulla ricetta stessa, elemento facoltativo.

    - #### dataEmissione

          private java.lang.String dataEmissione

      Data di emissione della prescrizione, elemento obbligatorio.

    - #### dataScadenza

          private java.lang.String dataScadenza

      Data di scadenza della prescrizione, elemento obbligatorio.

    - #### naturaPrescrizione

          private java.lang.String naturaPrescrizione

      Codice natura della prescrizione, elemento facoltativo. Può assumere i seguenti valori: 'O'=Originale ovvero la prescrizione è stata emessa da un soggetto prescrittore regolarmente dotato del ricettario regionale. 'S'=Supporto, ovvero la prescrizione è originata da una erogazione, pertanto l'emettitore è un soggetto erogatore che acquisisce i dati della ricetta che ha erogato.

    - #### flagSuggerita

          private java.lang.String flagSuggerita

      Indica se la prescrizione è stata suggerita da uno specialista, elemento obbligatorio. Può assumere i seguenti valori: 1=suggerita 0=non suggerita

    - #### statoPrescrizione

          private java.lang.String statoPrescrizione

      Indica lo stato in cui si trova una prescrizione, elemento obbligatorio. Può assumere i seguenti valori: 0=annullata; 1=prescritta; 2=prenotata; 3=accettata; 4=erogata; 8=in erogazione.

    - #### prescrittore

          private Prescrittore prescrittore

      Contiene i dati anagrafici del medico prescrittore, elemento obbligatorio.

    - #### impPrescrizione

          private java.lang.String impPrescrizione

      Importo totale lordo della prescrizione, elemento obbligatorio.

    - #### ticketPrescrizione

          private java.lang.String ticketPrescrizione

      Importo totale del Ticket da pagare, elemento obbligatorio.

    - #### annotazione

          private java.lang.String annotazione

      Annotazione sulla prescrizione, elemento facoltativo.

    - #### tipoPrescrizione

          private java.lang.String tipoPrescrizione

      Codice indicante la tipologia della prescrizione, elemento obbligatorio. Può assumere i seguenti valori: 1=Farmaceutica; 2=Ricovero; 3=Specialistica.

    - #### datiSpec

          private DatiSpec datiSpec

      Contiene i dati di dettaglio della pescrizione specialistica, elemento obbligatorio.

    - #### IUP

          private java.lang.String IUP

      Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE), elemento obbligatorio.

    - #### assistito

          private Assistito assistito

      Contiene i dati anagrafici dell'assistito a cui è intestata la prescrizione specialistica, elemento obbligatorio.

    - #### prenotazione

          private Prenotazione prenotazione

      Contiene i dati di dettaglio della prenotazione, elemento facoltativo.

  - ### Constructor Detail

    - #### PrescrizioneSpecialistica

          public PrescrizioneSpecialistica()

  - ### Method Detail

    - #### getCodRicetta

          public java.lang.String getCodRicetta()

    - #### setCodRicetta

          public void setCodRicetta(java.lang.String codRicetta)

    - #### getDataEmissione

          public java.lang.String getDataEmissione()

    - #### setDataEmissione

          public void setDataEmissione(java.lang.String dataEmissione)

    - #### getDataScadenza

          public java.lang.String getDataScadenza()

    - #### setDataScadenza

          public void setDataScadenza(java.lang.String dataScadenza)

    - #### getNaturaPrescrizione

          public java.lang.String getNaturaPrescrizione()

    - #### setNaturaPrescrizione

          public void setNaturaPrescrizione(java.lang.String naturaPrescrizione)

    - #### getFlagSuggerita

          public java.lang.String getFlagSuggerita()

    - #### setFlagSuggerita

          public void setFlagSuggerita(java.lang.String flagSuggerita)

    - #### getStatoPrescrizione

          public java.lang.String getStatoPrescrizione()

    - #### setStatoPrescrizione

          public void setStatoPrescrizione(java.lang.String statoPrescrizione)

    - #### getPrescrittore

          public Prescrittore getPrescrittore()

    - #### setPrescrittore

          public void setPrescrittore(Prescrittore prescrittore)

    - #### getImpPrescrizione

          public java.lang.String getImpPrescrizione()

    - #### setImpPrescrizione

          public void setImpPrescrizione(java.lang.String impPrescrizione)

    - #### getTicketPrescrizione

          public java.lang.String getTicketPrescrizione()

    - #### setTicketPrescrizione

          public void setTicketPrescrizione(java.lang.String ticketPrescrizione)

    - #### getAnnotazione

          public java.lang.String getAnnotazione()

    - #### setAnnotazione

          public void setAnnotazione(java.lang.String annotazione)

    - #### getTipoPrescrizione

          public java.lang.String getTipoPrescrizione()

    - #### setTipoPrescrizione

          public void setTipoPrescrizione(java.lang.String tipoPrescrizione)

    - #### getDatiSpec

          public DatiSpec getDatiSpec()

    - #### setDatiSpec

          public void setDatiSpec(DatiSpec datiSpec)

    - #### getIUP

          public java.lang.String getIUP()

    - #### setIUP

          public void setIUP(java.lang.String IUP)

    - #### getAssistito

          public Assistito getAssistito()

    - #### setAssistito

          public void setAssistito(Assistito assistito)

    - #### setPrenotazione

          public void setPrenotazione(Prenotazione prenotazione)

    - #### getPrenotazione

          public Prenotazione getPrenotazione()